# CommandReplacements (ACF (Core) 0.5.1-SNAPSHOT API)
declaration: package: co.aikar.commands, class: CommandReplacements

Package co.aikar.commands

# Class CommandReplacements

java.lang.Object
co.aikar.commands.CommandReplacements

public class CommandReplacements extends Object
Manages replacement template strings

## Method Summary

Modifier and Type
Method
Description
`String`
`addReplacement(String key, String val)`
`void`
`addReplacements(String... replacements)`
`String`
`replace(String text)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Method Details

### addReplacements

public void addReplacements (String... replacements)

### addReplacement

public String addReplacement (String key, String val)

### replace

public String replace (String text)